Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class SegmentParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.SegmentParams

    public class SegmentParams

extends Named

Gives parameters for a segment which is defined here as a group of contact types, agent groups, or main periods.

Field Summary
`protected List<Integer>` | `values`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`SegmentParams()`

Method Summary
`List<Integer>` | `getValues()` Gets the value of the values property.
`boolean` | `isSetValues()`
`void` | `unsetValues()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected List<Integer> values

Constructor Detail

### SegmentParams

    public SegmentParams()

Method Detail

### getValues

    public List<Integer> getValues()

  Gets the value of the values property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the values property.

  For example, to add a new item, do as follows:

          getValues().add(newItem);

  Objects of the following type(s) are allowed in the list `Integer`

### isSetValues

    public boolean isSetValues()

### unsetValues

    public void unsetValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.